## ust 0.5

=== doc/manual/Makefile ===
all: ust.html

ust.html: manual.texinfo
	makeinfo --html --no-split manual.texinfo
