=== debian/changelog ===
ust (0.5-1+squeeze1) testing; urgency=low

  * [893a2e] Backport upstream fix for CVE-2010-3386 (Closes: #598309)

 -- Jon Bernard <jbernard@debian.org>  Wed, 01 Dec 2010 19:10:09 -0500

ust (0.5-1) unstable; urgency=low

  * [79cd16] Imported Upstream version 0.5
  * [18d8be] Include content of BSD license in copyright file
  * [6799aa] Bump standards version to 3.9.0

 -- Jon Bernard <jbernard@debian.org>  Fri, 02 Jul 2010 11:34:21 -0400

ust (0.4-4) unstable; urgency=low

  * [9a6b0e] Include info document in libust0
  * [4fec9e] Reference info document in doc-base file
  * [a90722] Patch info document to include dir section

 -- Jon Bernard <jbernard@debian.org>  Tue, 01 Jun 2010 12:39:30 -0400

ust (0.4-3) unstable; urgency=low

  * Fix typo in libust0.doc-base

 -- Jon Bernard <jbernard@debian.org>  Sat, 29 May 2010 10:20:21 -0400

ust (0.4-2) unstable; urgency=low

  * Restrict architecture list to that of liburcu

 -- Jon Bernard <jbernard@debian.org>  Wed, 24 Mar 2010 09:50:02 -0400

ust (0.4-1) unstable; urgency=low

  * Initial release (Closes: #573361)

 -- Jon Bernard <jbernard@debian.org>  Thu, 18 Mar 2010 16:18:28 -0400
