## ust 0.9

=== debian/changelog ===
ust (0.9-2) unstable; urgency=low

  * [88b622] Add patch to link register test against libpthread
    (Closes: #604955) - thanks to Angel Abad

 -- Jon Bernard <jbernard@debian.org>  Thu, 09 Dec 2010 14:31:43 -0500

ust (0.9-1) unstable; urgency=low

  * [013eef] New upstream version 0.9 (Closes: #604955)
  * [2e5bbe] Depend on no less than version 0.5.2 of liburcu
  * [74b922] Do not build info document, included upstream
  * [d29261] Update html document path to new location
  * [2f6fea] Convert patches to git-buldpackage's patch queue format
  * [abcfff] Update libust0 dependency for info documents
  * [84cbbe] Remove s390 and s390x from architecture list, not supported
    (Closes: #575407)
  * [e79820] Add patch to fix compilation error on ppc

 -- Jon Bernard <jbernard@debian.org>  Mon, 06 Dec 2010 21:16:07 -0500

ust (0.8-1) unstable; urgency=low

  * [e3e73f] Imported Upstream version 0.8
  * [9eb1f6] Remove NMU security patch, applied upstream
  * [0021e4] Generate info and html manual at build-time
  * [899c34] Include new libtap library
  * [94f07d] Remove debian manpages, included upstream

 -- Jon Bernard <jbernard@debian.org>  Tue, 16 Nov 2010 12:23:41 -0500

ust (0.7-3) unstable; urgency=low

  * [2c4036] Restore info-dir-section patch from previous NMU

 -- Jon Bernard <jbernard@debian.org>  Sat, 30 Oct 2010 20:31:26 -0400

ust (0.7-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches
    - (CVE-2010-3386--bug598309): New. Fix LD_LIBRARY_PATH. Initial patch
      idea thanks to Etienne Millon <etienne.millon@gmail.com> (grave,
      security; Closes: #598309).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 18 Oct 2010 18:55:42 +0300

ust (0.7-2) unstable; urgency=low

  * [7d6a5c] Remove sparc and alpha from supported architectures
  * [5603a1] Add build dependency on version 0.4.6 of liburcu-dev
  * [5f3cf6] Recommend liburcu-dev for libust-dev - thanks to Alexandre
    Montplaisir <alexandre.montplaisir@gmail.com>
  * [06df73] Depends on version 0.4.6 of liburcu0 for libust0

 -- Jon Bernard <jbernard@debian.org>  Mon, 27 Sep 2010 04:27:29 -0400

ust (0.7-1) unstable; urgency=low

  * [ed442a] Imported Upstream version 0.7
  * [0de6a7] Update installed libraries
  * [dfd55b] Bump standards version to 3.9.1, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Mon, 30 Aug 2010 22:27:57 -0400
