=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: ust
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, liburcu-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.5.2), texinfo
+Standards-Version: 3.9.1
 Section: libs
 Vcs-Git: git://git.debian.org/git/collab-maint/ust.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ust.git;a=summary
 Homepage: http://lttng.org/
 
 Package: libust0
-Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: i386 amd64 powerpc ppc64
+Depends: ${shlibs:Depends}, ${misc:Depends}, liburcu0 (>= 0.5.2), dpkg (>= 1.15.4) | install-info
 Description: LTTng Userspace Tracer (runtime)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -22,8 +22,9 @@
 
 Package: libust-dev
 Section: libdevel
-Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
+Architecture: i386 amd64 powerpc ppc64
 Depends: ${misc:Depends}, libust0 (= ${binary:Version})
+Recommends: liburcu-dev (>= 0.5.2)
 Description: LTTng Userspace Tracer (development)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -35,7 +36,7 @@
 
 Package: ust-bin
 Section: utils
-Architecture: i386 amd64 powerpc ppc64 s390 s390x sparc alpha
+Architecture: i386 amd64 powerpc ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: LTTng Userspace Tracer (utilities)
  The userspace tracer is designed to provide detailed information about
