=== debian/watch ===
version=3
http://lttng.org/files/ust/releases/ust-(.*)\.tar\.gz
