## ust 0.11

=== debian/changelog ===
ust (0.11-1) unstable; urgency=low

  * [c53bcd] New upstream version 0.11
  * [6ab7d2] Rename libustd to libustconsumer

 -- Jon Bernard <jbernard@debian.org>  Sat, 15 Jan 2011 18:17:42 -0500
