=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	makeinfo --html --no-split doc/info/ust.texi -o debian/ust.html
