=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ust
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.6.2), texinfo
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.6.6), texinfo
 Standards-Version: 3.9.2
 Section: libs
 Vcs-Git: git://git.debian.org/git/collab-maint/ust.git
