=== debian/changelog ===
ust (2.0.4-1ubuntu1) quantal; urgency=low

  * Fix lttng on armel/armhf by making ust build for all architectures.
    This fixes a regression from what we had with lttng-ust before ust
    took over the binary packages in the last sync from Debian.
    Changing all Architecture fields to "any" instead of the hardcoded list,
    this is at least confirmed to be working on Ubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 30 Aug 2012 15:43:38 -0700

ust (2.0.4-1) unstable; urgency=low

  * [8d66bf4] Update watch file
  * [8d2e5cc] New upstream version 2.0.4
  * [01fc3a7] Synchronize with upstream's packaging effort

 -- Jon Bernard <jbernard@debian.org>  Fri, 29 Jun 2012 16:47:49 -0400
