=== debian/control ===
Source: ust
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), liburcu-dev (>= 0.6.6), uuid-dev, texinfo,
  systemtap-sdt-dev (>= 1.6)
Standards-Version: 3.9.3
Section: libs
Vcs-Git: git://git.debian.org/git/collab-maint/ust.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ust.git;a=summary
Homepage: http://lttng.org/

Package: liblttng-ust0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libust0 (<< 2.0.4-1~)
Breaks: libust0 (<< 2.0.4-1~)
Provides: libust0
Description: LTTng 2.0 Userspace Tracer (libraries)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST runtime libraries needed to execute applications
 linked against liblttng-ust.

Package: libust0
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, liblttng-ust0
Description: Transitional package for liblttng-ust0
 This is a transitional package to ease upgrades to the liblttng-ust0 package.
 It can safely be removed.

Package: liblttng-ust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liblttng-ust0 (= ${binary:Version}),
 liburcu-dev (>= 0.6.6), uuid-dev, systemtap-sdt-dev (>= 1.6)
Recommends: python
Replaces: libust-dev (<< 2.0.4-1~)
Breaks: libust-dev (<< 2.0.4-1~)
Provides: libust-dev
Description: LTTng 2.0 Userspace Tracer (development files)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against liblttng-ust.

Package: libust-dev
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, liblttng-ust-dev
Description: Transitional package for liblttng-ust-dev
 This is a transitional package to ease upgrades to the liblttng-ust-dev
 package.  It can safely be removed.

Package: ust-bin
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}
Description: Transitional package for lttng-tools
 This is a transitional package to ease upgrades to the lttng-tools package.
 It can safely be removed.
