=== debian/watch ===
version=3
http://lttng.org/files/lttng-ust/lttng-ust-(.*)\.tar\.(?:gz|bz2)
