=== debian/changelog ===
ust (2.1.0~rc2-1) unstable; urgency=low

  * [13cb8e9] New upstream version 2.1.0~rc2

 -- Jon Bernard <jbernard@debian.org>  Tue, 27 Nov 2012 14:14:40 -0500
