=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ust
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), liburcu-dev (>= 0.6.6), uuid-dev, texinfo,
   systemtap-sdt-dev (>= 1.6)
 Standards-Version: 3.9.3
@@ -65,7 +64,7 @@
 Package: ust-bin
 Section: oldlibs
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, lttng-tools
 Description: Transitional package for lttng-tools
  This is a transitional package to ease upgrades to the lttng-tools package.
  It can safely be removed.
