## ust 2.4.0

=== doc/examples/hello-static-lib/Makefile ===
--- 
+++ 
@@ -14,7 +14,10 @@
 #
 # This makefile is purposefully kept simple to support GNU and BSD make.
 
-CC = gcc
+ifdef AM_CC
+	CC = $(AM_CC)
+endif
+
 LOCAL_CPPFLAGS += -I.
 LIBS = -ldl -llttng-ust	# On Linux
 #LIBS = -lc -llttng-ust	# On BSD
