=== debian/changelog ===
ust (2.4.0-4ubuntu1) trusty; urgency=medium

  * Merge upstream bugfix release from Debian unstable. Remaining changes:
    - Switch lttng-gen-tp script to use python3.
    - Add python3 build-dependency.
    - Add ppc64el and arm64 host_cpu stanzas in configure.ac
    - Enable builds on arm64 and ppc64el.
  * Don't bump liburcu build-depend/depend as the new version isn't
    required and won't be in 14.04.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Apr 2014 12:06:21 -0400

ust (2.4.0-4) unstable; urgency=low

  [ Michael Jeanson ]
  * [e7e05c8] Use dh-autoreconf to call autoreconf before building

 -- Jon Bernard <jbernard@debian.org>  Tue, 18 Mar 2014 12:10:09 -0400

ust (2.4.0-3) unstable; urgency=low

  * [40e81f4] Bump dependency on liburcu to version 0.8.4

 -- Jon Bernard <jbernard@debian.org>  Mon, 17 Mar 2014 16:13:37 -0400

ust (2.4.0-2) unstable; urgency=low

  * [3071879] Add explicit build dependency on python (Closes: #741687)

 -- Jon Bernard <jbernard@debian.org>  Sat, 15 Mar 2014 21:11:42 -0400

ust (2.4.0-1) unstable; urgency=low

  * [5c01e4a] New upstream version 2.4.0

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Mar 2014 16:36:21 -0400

ust (2.4.0~rc4-1ubuntu2) trusty; urgency=medium

  * Switch lttng-gen-tp script to use python3.
  * Add python3 build-dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 15 Mar 2014 21:02:53 +0000

ust (2.4.0~rc4-1ubuntu1) trusty; urgency=medium

  * Add ppc64el and arm64 host_cpu stanzas in configure.ac
  * Use dh-autoreconf.
  * Enable builds on arm64 and ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 15 Mar 2014 20:41:53 +0000

ust (2.4.0~rc4-1) experimental; urgency=low

  * [6074bb4] New upstream version 2.4.0~rc4
  * [e32544c] Update watch file to only uversionmangle
  * [4050322] Include new libraries in liblttng-ust0

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Feb 2014 15:55:28 -0500

ust (2.3.0-4) unstable; urgency=low

  * [3474a19] Fix upgrade from older liblttng-ust2 package.
    Thanks to Andreas Beckmann (Closes: #730278, #730300)

 -- Jon Bernard <jbernard@debian.org>  Wed, 27 Nov 2013 16:40:23 -0500

ust (2.3.0-3) unstable; urgency=low

  * [2891d68] Update copyright information (Closes: #728170)

 -- Jon Bernard <jbernard@debian.org>  Sun, 17 Nov 2013 21:16:30 -0500

ust (2.3.0-2) unstable; urgency=low

  * [63eb27d] Bump standards version, no changes necessary
  * [c0c304b] Correct version dependency on liburcu
  * [539c38c] Update copyright holder email address
  * [351faa2] Correct VCS links in control file
  * [872f563] Move ctl library into its own package (Closes: #728256)

 -- Jon Bernard <jbernard@debian.org>  Thu, 14 Nov 2013 15:38:30 -0500

ust (2.3.0-1) unstable; urgency=low

  * [f244fc1] New upstream version 2.3.0
  * [e895d50] Bump standards version, no changes necessary
  * [79a2884] Bump soname and remove old transitional packages

 -- Jon Bernard <jbernard@debian.org>  Sun, 20 Oct 2013 08:55:33 -0400

ust (2.1.1-6) unstable; urgency=low

  * [c06ec11] Restrict liblttng-ust-dev's systemtap-sdt-dev dependency

 -- Jon Bernard <jbernard@debian.org>  Fri, 18 Oct 2013 12:43:26 -0400

ust (2.1.1-5) unstable; urgency=low

  * [1a79688] Replace s390 with s390x
  * [97e3fcb] Don't build against systemtap-sdt-dev on s390

 -- Jon Bernard <jbernard@debian.org>  Wed, 16 Oct 2013 17:50:09 -0400

ust (2.1.1-4) unstable; urgency=low

  * [e9f26ce] Futher restrict the architecture list

 -- Jon Bernard <jbernard@debian.org>  Sat, 14 Sep 2013 12:20:36 -0400

ust (2.1.1-3) unstable; urgency=low

  * [9a36287] Only build against systemtap where available

 -- Jon Bernard <jbernard@debian.org>  Wed, 11 Sep 2013 15:31:56 -0400
