=== debian/control ===
Source: ust
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.7.2),
  uuid-dev, texinfo, python3:any, dh-python,
  systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
Standards-Version: 3.9.5
Section: libs
Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
Homepage: http://lttng.org/

Package: liblttng-ust0
Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  liblttng-ust-ctl2 (= ${binary:Version})
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Description: LTTng 2.0 Userspace Tracer (tracing libraries)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the actual userspace tracing library that must be linked
 to the instrumented programs.

Package: liblttng-ust-ctl2
Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Description: LTTng 2.0 Userspace Tracer (trace control library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains a library to control tracing in other processes. Used by
 lttng-tools.

Package: liblttng-ust-dev
Section: libdevel
Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
Multi-Arch: same
Depends: ${misc:Depends},
  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
  liburcu-dev (>= 0.7.2), uuid-dev,
  systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
Recommends: python3
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Breaks: liblttng-ust0 (<< 2.3.0)
Description: LTTng 2.0 Userspace Tracer (development files)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against liblttng-ust.
