## ust 2.4.1

=== debian/changelog ===
ust (2.4.1-1ubuntu2) utopic; urgency=medium

  * No-change rebuild against liburcu2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Jul 2014 23:47:50 -0700

ust (2.4.1-1ubuntu1) utopic; urgency=medium

  * Merge upstream bugfix release from Debian unstable. Remaining changes:
    - Switch lttng-gen-tp script to use python3.
    - Add python3 build-dependency.
    - Add ppc64el and arm64 host_cpu stanzas in configure.ac
    - Enable builds on arm64 and ppc64el.
    - Don't bump liburcu build-depend/depend as the new version isn't
      required and won't be in 14.04.
  * Refresh lttng-gen-tp patch after upstream change.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 18:04:58 -0400

ust (2.4.1-1) unstable; urgency=low

  [ Michael Jeanson ]
  * [3f43734] Imported Upstream version 2.4.1

 -- Jon Bernard <jbernard@debian.org>  Wed, 09 Apr 2014 13:03:09 -0400
