=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ust
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.7.2),
-  uuid-dev, texinfo, python3:any, dh-python,
+Maintainer: Jon Bernard <jbernard@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
+  uuid-dev, texinfo, python,
   systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
 Standards-Version: 3.9.5
 Section: libs
@@ -12,7 +11,7 @@
 Homepage: http://lttng.org/
 
 Package: liblttng-ust0
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -29,7 +28,7 @@
  to the instrumented programs.
 
 Package: liblttng-ust-ctl2
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,13 +45,13 @@
 
 Package: liblttng-ust-dev
 Section: libdevel
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
   liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
-  liburcu-dev (>= 0.7.2), uuid-dev,
+  liburcu-dev (>= 0.8.4), uuid-dev,
   systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
-Recommends: python3
+Recommends: python
 Conflicts: liblttng-ust2
 Replaces: liblttng-ust2
 Breaks: liblttng-ust0 (<< 2.3.0)
