## ust 2.5.1

=== debian/changelog ===
ust (2.5.1-1ubuntu2) vivid; urgency=low

  * debian/liblttng-ust0.symbols:
    - lttng_context_{exit,init} and lttng_add_perf_counter_to_ctx
      are only available on i386/amd64 (LTTNG_UST_HAVE_PERF_EVENT)
      Reported upstream as https://bugs.lttng.org/issues/850/

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Oct 2014 14:57:33 +0100

ust (2.5.1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch lttng-gen-tp script to use python3.
    - Add python3 build-dependency.
    - Add arm64 host_cpu stanzas in configure.ac
    - Enable builds on arm64 and ppc64el.
  * Update 0001-Add-aarch64-host-cpu-in-configure.ac.patch
  * Update use-python3 patch
  * use debians liburcu build-depend/depend as we are past 14.04 now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Oct 2014 10:17:07 +0100

ust (2.5.1-1) unstable; urgency=medium

  * [e1dc4b2] New upstream version 2.5.1

 -- Jon Bernard <jbernard@debian.org>  Wed, 22 Oct 2014 20:29:30 +0000

ust (2.5.0-2) unstable; urgency=medium

  * [900b9f9] Add symbols files for library packages.
    Thanks to Dmitry Smirnov (Closes: #765842)
  * [3458cf0] Bump standards version, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Mon, 20 Oct 2014 18:12:54 +0000
