=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: ust
 Priority: extra
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
-  uuid-dev, texinfo, python,
+  uuid-dev, texinfo, python3:any, dh-python,
   systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
 Homepage: http://lttng.org/
 
 Package: liblttng-ust0
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -28,7 +29,7 @@
  to the instrumented programs.
 
 Package: liblttng-ust-ctl2
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,13 +46,13 @@
 
 Package: liblttng-ust-dev
 Section: libdevel
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc ppc64el s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
   liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
   liburcu-dev (>= 0.8.4), uuid-dev,
   systemtap-sdt-dev (>= 1.6) [amd64 armel armhf i386 powerpc]
-Recommends: python
+Recommends: python3
 Conflicts: liblttng-ust2
 Replaces: liblttng-ust2
 Breaks: liblttng-ust0 (<< 2.3.0)
