=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V
